MIFLoader (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.mif
Class MIFLoader

    java.lang.Object
      com.bbn.openmap.layer.mif.MIFLoader

    public class MIFLoader

extends java.lang.Object

A loader class for MIF files. Each MIF layer loading a file will create an instance of this The class uses SwingWorker to do processing in a thread Only the MIF PLine and Region options are implemented 27th January 2004 - added some support for TEXT and POINT options

Author:
  Colin Mummery, modified January 2004 by Simon Bowen

Constructor Summary
`MIFLoader(java.io.BufferedReader br, boolean accurate, float textVisible, float pointVisible)` Loads a MIF file from the Reader and placing the appropriate OMGraphics on the OMGraphicList * Parsing is done by a simple loop and switch statements

Method Summary
`OMGraphicList` | `getList()` Get the OMGraphicList from the loader, creating it from the file if it hasn't been created yet.
`OMGraphicList` | `getList(boolean reloadList)` Get the OMGraphicList from the loader, with the option of forcing it to be recreated from the source file if desired.
`boolean` | `isLoaded()`
`OMGraphicList` | `loadFile()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MIFLoader

    public MIFLoader(java.io.BufferedReader br,
                     boolean accurate,
                     float textVisible,
                     float pointVisible)

  Loads a MIF file from the Reader and placing the appropriate OMGraphics on the OMGraphicList * Parsing is done by a simple loop and switch statements

  Parameters:
    `br` - BufferedReader to read the MIF file
    `accurate` - if true we do a much faster line only rendering of the regions
    `textVisible` - the scale at which TEXT primitives should be rendered
    `pointVisible` - the scale at which POINT primitives should be rendered

Method Detail

### isLoaded

    public boolean isLoaded()

### getList

    public OMGraphicList getList()

  Get the OMGraphicList from the loader, creating it from the file if it hasn't been created yet.

### getList

    public OMGraphicList getList(boolean reloadList)

  Get the OMGraphicList from the loader, with the option of forcing it to be recreated from the source file if desired.

### loadFile

    public OMGraphicList loadFile()
                           throws java.io.IOException,
                                  MIFException

  Throws:
    `java.io.IOException`
    `MIFException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details